### Method

# Gck Builder add_string

#### Declaration [src]

    void
    gck_builder_add_string (
      GckBuilder* builder,
      gulong attr_type,
      const gchar* value
    )

#### Description [src]

Add a new attribute to the builder for the string `value` or `NULL`. Unconditionally adds a new attribute, even if one with the same `attr_type` already exists.

#### Parameters

`attr_type`

  Type: `gulong`

  The new attribute type.

`value`

  Type: `const gchar*`

  The attribute value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.